Create a new sellerCopy Pagepost https://api.instellix.io/v2/sellers Creates a new seller. This operation validates the input data, persists the new seller, and returns the created seller's details in the response.Body ParamsRequest object for creating a seller.commercialRegistrationNumberstring | nullThe commercial registration number of the seller.courtOfRegistrationstring | nullThe court where the seller is registered.identstringrequiredlength between 1 and 100Unique identifier of the seller. Cannot be changed afterwards. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.namestringrequiredlength ≥ 1The seller name. Must not be blank.operatingSitesarray of objectsrequiredlength ≥ 1Operating sites associated with the seller. At least one operating site must be provided. Must not be empty.operatingSites* objectRequest object for creating a seller operating site during the initial setup of a seller.addressobjectrequiredAddress of the seller's operating site, including address lines, city, postal code, and country.address objectbankInformationobject | nullA bank account associated with the operating site.bankInformation object | nulldirectorsAndOfficersarray of objects | nullDirectors and officers responsible for the operating site.directorsAndOfficersADD object | nullidentstringrequiredlength between 1 and 100Unique identifier of the operating site. Cannot be changed afterwards. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.propertiesarray of objects | nullAdditional properties related to the operating site, such as opening hours or special notes.propertiesADD object | nullsupportInformationarray of objects | nullSupport contact methods such as email or phone.supportInformationADD object | nulltaxNumberstring | nullThe taxNumber is the local country tax number given to a legal entity by their tax authority such as the German Steuernummer or Italian Codice Fiscale.vatIdstring | nullAlso known as VAT identification number (VATIN). An identifier used by countries for Value Added Tax purposes to identify legal entities, especially in the EU.ADD objectResponses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated about 1 month ago